Public Class usrCntlATLAS_EZA_DV1
    '  Dim OWNER As Control
    Dim NCTS_OUT As DAKOSY_Worker.cDakosyEZA = Nothing
    'Sub New(OWNER As Control, NCTS_OUT As DAKOSY_Worker.cDakosyEZA)
    Sub New(NCTS_OUT As DAKOSY_Worker.cDakosyEZA)
        InitializeComponent()
        'Me.OWNER = OWNER
        Me.NCTS_OUT = NCTS_OUT
    End Sub

    Public Sub usrCntlATLAS_NCTS_Adressen_Load(sender As Object, e As EventArgs) Handles Me.Load
        '    usrCntlSumA_Befoerderer.initME()
        cboVerbundenheit.Items.Clear()
        cboVerbundenheit.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboVerbundenheit.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("0 - Verkäufer und Käufer sind nicht miteinander verbunden", "0"))
        cboVerbundenheit.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("1 - Verkäufer und Käufer sind miteinander verbunden, aber die Verbundenheit hat den Preis der eingeführten Ware nicht beeinflusst", "1"))
        cboVerbundenheit.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("2 - Verkäufer und Käufer sind miteinander verbunden, die Verbundenheit hat den Preis der eingeführten Ware beeinflusst", "2"))

        cboEinschraenkungen.Items.Clear()
        cboEinschraenkungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboEinschraenkungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("J - Einschränkungen", "J"))
        cboEinschraenkungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("N - Keine Einschränkungen", "N")) 

        cboBedingungen.Items.Clear()
        cboBedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboBedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("J - Bedingungen", "J"))
        cboBedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("N - Keine Bedingungen", "N"))


        cboLizenzgebuehren.Items.Clear()
        cboLizenzgebuehren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboLizenzgebuehren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("J - Lizenzgebühren zu zahlen", "J"))
        cboLizenzgebuehren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("N - Keine Lizenzgebühren zu zahlen", "N"))

        cboWeiterverkUeberlVerwendung.Items.Clear()
        cboWeiterverkUeberlVerwendung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboWeiterverkUeberlVerwendung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("J - Verbindung mit weiterer Vereinbarung des Kaufgeschäftes", "J"))
        cboWeiterverkUeberlVerwendung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("N - Keine Verbindung mit weiterer Vereinbarung des Kaufgeschäftes", "N"))

        cboVertretungsverhaeltnis.Items.Clear()
        cboVertretungsverhaeltnis.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboVertretungsverhaeltnis.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("0 - Keine Vertretung, sondern Handeln im eigenen Namen und für eigene Rechnung", "0"))
        cboVertretungsverhaeltnis.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("1 - Vertretung im Namen und für Rechnung eines Anderen (direkte Vertretung)", "1"))
        cboVertretungsverhaeltnis.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("2 - Vertretung im eigenen Namen, aber für Rechnung eines Anderen (indirekte Vertretung)", "2"))
        cboVertretungsverhaeltnis.changeItem("")


    End Sub



    Public Sub getValues(ByRef EZA As DAKOSY_Worker.cDakosyEZA)

        If CInt(If(EZA.eza_DV1Kz, 0)) <> 0 Then

            'EZA.eza_DV1Kz = cProgramFunctions.isLeerNothing(usrCntl_Kaeufer.txtAnsprechpartner.Text)
            'EZA.eza_DV1Vertretungsverhaeltnis = cProgramFunctions.isLeerNothing(cboVerbundenheit.txtAnsprechpartner.Text)
            ' EZA.eza_DV1FruehereEntscheidungen = cProgramFunctions.isLeerNothing(usrCntl_Kaeufer.txtAnsprechpartner.Text)

            EZA.eza_DV1Vertretungsverhaeltnis = cProgramFunctions.isLeerNothing(cboVertretungsverhaeltnis._value)
            EZA.eza_DV1Verbundenheit = cProgramFunctions.isLeerNothing(cboVerbundenheit._value)
            EZA.eza_DV1VerbungenheitEinzelheiten = cProgramFunctions.isLeerNothing(txtVerbundenheitEinzelheiten.Text)
            EZA.eza_DV1EinschraenkungenKz = cProgramFunctions.isLeerNothing(cboEinschraenkungen._value)
            EZA.eza_DV1BedingungenLeistungenKz = cProgramFunctions.isLeerNothing(cboBedingungen._value)
            EZA.eza_DV1BedingungenLeistungenArt = cProgramFunctions.isLeerNothing(txtBedingungenLeistungArt.Text)
            EZA.eza_DV1LizenzgebuehrenKz = cProgramFunctions.isLeerNothing(cboLizenzgebuehren._value)
            EZA.eza_DV1LizenzgebuehrenUmstand = cProgramFunctions.isLeerNothing(txtLizenzgebuehrenUmstand.Text)
            EZA.eza_DV1SpezielleVereinbarungKz = cProgramFunctions.isLeerNothing(cboWeiterverkUeberlVerwendung._value)
            EZA.eza_DV1SpezielleVereinbarungUmstand = cProgramFunctions.isLeerNothing(txtWeiterverkUeberlVerwendungUmstände.Text)

        Else
            EZA.eza_DV1Vertretungsverhaeltnis = Nothing
            EZA.eza_DV1Verbundenheit = Nothing
            EZA.eza_DV1VerbungenheitEinzelheiten = Nothing
            EZA.eza_DV1EinschraenkungenKz = Nothing
            EZA.eza_DV1BedingungenLeistungenKz = Nothing
            EZA.eza_DV1BedingungenLeistungenArt = Nothing
            EZA.eza_DV1LizenzgebuehrenKz = Nothing
            EZA.eza_DV1LizenzgebuehrenUmstand = Nothing
            EZA.eza_DV1SpezielleVereinbarungKz = Nothing
            EZA.eza_DV1SpezielleVereinbarungUmstand = Nothing

        End If

    End Sub





    Public Sub setValues(EZA As DAKOSY_Worker.cDakosyEZA)
        If CInt(If(EZA.eza_DV1Kz, 0)) <> 0 Then

            cboVertretungsverhaeltnis.changeItem(If(EZA.eza_DV1Vertretungsverhaeltnis, ""))
            cboVerbundenheit.changeItem(If(EZA.eza_DV1Verbundenheit, ""))
            txtVerbundenheitEinzelheiten.Text = If(EZA.eza_DV1VerbungenheitEinzelheiten, "")
            cboEinschraenkungen.changeItem(If(EZA.eza_DV1EinschraenkungenKz, ""))
            cboBedingungen.changeItem(If(EZA.eza_DV1BedingungenLeistungenKz, ""))
            txtBedingungenLeistungArt.Text = If(EZA.eza_DV1BedingungenLeistungenArt, "")
            cboLizenzgebuehren.changeItem(If(EZA.eza_DV1LizenzgebuehrenKz, ""))
            txtLizenzgebuehrenUmstand.Text = (If(EZA.eza_DV1LizenzgebuehrenUmstand, ""))
            cboWeiterverkUeberlVerwendung.changeItem(If(EZA.eza_DV1SpezielleVereinbarungKz, ""))
            txtWeiterverkUeberlVerwendungUmstände.Text = If(EZA.eza_DV1SpezielleVereinbarungUmstand, "")

        End If
    End Sub





End Class
